Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs	(revision 252)
@@ -63,29 +63,41 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  CompanyCode";
-            strcmd += " ,ItemCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SubContractorJobItem";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  CompanyCode");
+            strcmd.Append(" ,ItemCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SubContractorJobItem");
 
-            return strcmd;
+            return strcmd.ToString();
         }
+        #endregion
+
+        #region 協力会社工種関連マスタ検索
+        /// <summary>
+        /// 協力会社工種関連マスタ検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<SubContractorJobItem> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -99,24 +111,35 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
+
+        #region 協力会社工種関連マスタ検索（１件）
+        /// <summary>
+        /// 協力会社工種関連マスタ検索（１件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref SubContractorJobItem data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -130,12 +153,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
 
+        #region 協力会社工種関連マスタ追加
         /// <summary>
         /// 協力会社工種関連マスタ追加
         /// </summary>
@@ -143,48 +168,50 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SubContractorJobItem> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SubContractorJobItem";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SubContractorJobItem");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SubContractorJobItem work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.CompanyCode.ToString());
-                    strcmd += string.Format(", {0}", work.ItemCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat("  {0}", work.CompanyCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ItemCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 協力会社工種関連マスタ更新
         /// <summary>
         /// 協力会社工種関連マスタ更新
         /// </summary>
@@ -193,33 +220,34 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SubContractorJobItem data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SubContractorJobItem";
+                strcmd.Append("UPDATE SubContractorJobItem");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ComponentCode = {0}", data.CompanyCode.ToString());
-                strcmd += string.Format(",ItemCode = {0}", data.ItemCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(" ComponentCode = {0}", data.CompanyCode.ToString());
+                strcmd.AppendFormat(",ItemCode = {0}", data.ItemCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
-
+        #region 協力会社工種関連マスタ削除
         /// <summary>
         /// 協力会社工種関連マスタ削除
         /// </summary>
@@ -229,22 +257,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SubContractorJobItem", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SubContractorJobItem", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -271,11 +301,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -283,19 +311,19 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int CompanyCode, int ItemsCode = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where CompanyCode = {0}", CompanyCode);
+                strWork.AppendFormat(" Where CompanyCode = {0}", CompanyCode);
                 if (ItemsCode != 0)
-                    strWork += string.Format(" And ItemsCode = {0}", ItemsCode);
+                    strWork.AppendFormat(" And ItemsCode = {0}", ItemsCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobLink.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobLink.cs	(revision 252)
@@ -61,15 +61,16 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  CompanyCode";
-            strcmd += " ,JobCategoryCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SubContractorJobLink";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  CompanyCode");
+            strcmd.Append(" ,JobCategoryCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SubContractorJobLink");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -84,16 +85,17 @@
         public bool SelectAction(string AddSQLString, ref List<SubContractorJobLink> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -107,7 +109,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -125,16 +127,17 @@
         public bool SelectAction(string AddSQLString, ref SubContractorJobLink data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -148,7 +151,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -163,44 +166,44 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SubContractorJobLink> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SubContractorJobLink";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SubContractorJobLink");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SubContractorJobLink work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.CompanyCode.ToString());
-                    strcmd += string.Format(", {0}", work.JobCategoryCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat("  {0}", work.CompanyCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.JobCategoryCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
                 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -215,28 +218,28 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SubContractorJobLink data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SubContractorJobLink";
+                strcmd.Append("UPDATE SubContractorJobLink");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ComponentCode = {0}", data.CompanyCode.ToString());
-                strcmd += string.Format(",JobCategoryCode = {0}", data.JobCategoryCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(" ComponentCode = {0}", data.CompanyCode.ToString());
+                strcmd.AppendFormat(",JobCategoryCode = {0}", data.JobCategoryCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -252,18 +255,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SubContractorJobLink", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SubContractorJobLink", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -308,19 +311,19 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int CompanyCode, int JobCategoryCode = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where CompanyCode = {0}", CompanyCode);
+                strWork.AppendFormat(" Where CompanyCode = {0}", CompanyCode);
                 if (JobCategoryCode != 0)
-                    strWork += string.Format(" And JobCategoryCode = {0}", JobCategoryCode);
+                    strWork.AppendFormat(" And JobCategoryCode = {0}", JobCategoryCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
